> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Google

> Integrate your application with the Google API

## 🚀 Quickstart

Connect to Google with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Google*. Nango doesn't have a Nango-managed OAuth app for Google yet. You'll need to set up your own by following the setup guide linked below. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Nango.

**2. Authorize Google**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Google. Later, you'll let your users do the same directly from your app.

**3. Call the Google API**

Let's make your first request to a Google API (fetch a list of files). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/drive/v3/files?pageSize=10" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/drive/v3/files',
>     params: { pageSize: 10 },
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 Google Integration Guides

Nango maintained guides for common use cases.

* [How to register your own Google OAuth app](https://nango.dev/docs/api-integrations/google/how-to-register-your-own-google-api-oauth-app)\
  Register an OAuth app with Google and obtain credentials to connect it to Nango

* [Google App & Security Review](https://nango.dev/docs/api-integrations/google-shared/google-security-review)
  Pass Google's OAuth app verification to go to production

Official docs: [Google OAuth 2.0 Documentation](https://developers.google.com/identity/protocols/oauth2)

## 🧩 Pre-built syncs & tools for Google

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `workspace-org-units` | Sync all workspace org units | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `workspace-user-access-tokens` | Sync all workspace users access tokens | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `workspace-users` | Sync all workspace users | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.